Skip to main content
PUT
/
api
/
contacts
/
{contact_id}
Update a contact
curl --request PUT \
  --url https://api.morphic.io/api/contacts/{contact_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "first_name": "<string>",
  "last_name": "<string>",
  "full_name": "<string>",
  "emails": "<string>",
  "phones": "<string>",
  "mobile_phone": "<string>",
  "job_title": "<string>",
  "department": "<string>",
  "linkedin_url": "<string>",
  "twitter_url": "<string>",
  "twitter_handle": "<string>",
  "facebook_url": "<string>",
  "instagram_url": "<string>",
  "description": "<string>",
  "address": "<string>",
  "location": {},
  "metadata": {},
  "enrichment": {},
  "enrichment_provider": "<string>",
  "enrichment_last_updated": "2023-11-07T05:31:56Z",
  "enrichment_status": "<string>",
  "last_interaction": "2023-11-07T05:31:56Z",
  "date_of_birth": "2023-12-25",
  "notes": "<string>",
  "categories": [
    "<string>"
  ],
  "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "custom_fields": {},
  "associated_deal_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "first_name": "<string>",
  "last_name": "<string>",
  "full_name": "<string>",
  "emails": "<string>",
  "phones": "<string>",
  "mobile_phone": "<string>",
  "job_title": "<string>",
  "department": "<string>",
  "linkedin_url": "<string>",
  "twitter_url": "<string>",
  "twitter_handle": "<string>",
  "facebook_url": "<string>",
  "instagram_url": "<string>",
  "description": "<string>",
  "address": "<string>",
  "location": {},
  "metadata": {},
  "enrichment": {},
  "enrichment_provider": "<string>",
  "enrichment_last_updated": "2023-11-07T05:31:56Z",
  "enrichment_status": "<string>",
  "last_interaction": "2023-11-07T05:31:56Z",
  "date_of_birth": "2023-12-25",
  "notes": "<string>",
  "categories": [
    "<string>"
  ],
  "company_id": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>"
  },
  "custom_fields": {},
  "associated_deal_ids": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  ],
  "name": "<string>",
  "is_favorite": false
}

Authorizations

X-API-Key
string
header
required

API key (sk_xxx) from Developer Settings. No X-Account-ID needed.

Headers

x-account-id
string | null

Path Parameters

contact_id
string<uuid>
required

Body

application/json
first_name
string | null
Maximum string length: 150
last_name
string | null
Maximum string length: 150
full_name
string | null
Maximum string length: 300
emails
phones
mobile_phone
string | null
job_title
string | null
department
string | null
linkedin_url
string | null
twitter_url
string | null
twitter_handle
string | null
facebook_url
string | null
instagram_url
string | null
description
string | null
address
string | null
location
Location · object
metadata
Metadata · object
enrichment
Enrichment · object
enrichment_provider
string | null
enrichment_last_updated
string<date-time> | null
enrichment_status
string | null
last_interaction
string<date-time> | null
date_of_birth
string<date> | null
notes
string | null
categories
string[] | null
company_id
string<uuid> | null
custom_fields
Custom Fields · object
associated_deal_ids
string<uuid>[] | null

Deal IDs to associate with contact

Response

Successful Response

id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
account_id
string<uuid>
required
first_name
string | null
Maximum string length: 150
last_name
string | null
Maximum string length: 150
full_name
string | null
Maximum string length: 300
emails
phones
mobile_phone
string | null
job_title
string | null
department
string | null
linkedin_url
string | null
twitter_url
string | null
twitter_handle
string | null
facebook_url
string | null
instagram_url
string | null
description
string | null
address
string | null
location
Location · object
metadata
Metadata · object
enrichment
Enrichment · object
enrichment_provider
string | null
enrichment_last_updated
string<date-time> | null
enrichment_status
string | null
last_interaction
string<date-time> | null
date_of_birth
string<date> | null
notes
string | null
categories
string[] | null
company_id
ReferenceItem · object

Company with id and name

custom_fields
Custom Fields · object
associated_deal_ids
ReferenceItem · object[] | null

Associated deals with id and name

name
string | null
is_favorite
boolean
default:false

Whether this record is favorited by the current user